%global glib_version 2.70
%global gtk_version 4.5

%global api_ver 5

%global major 0
%define gir_major	5
%define libname %mklibname gtksourceview %api_ver %major
%define devname %mklibname -d gtksourceview %api_ver
%define girname		%mklibname %{name}-gir %{gir_major}

Name:           gtksourceview5
Version:        5.4.1
Release:        %mkrel 1
Summary:        Source code editing widget
Group:          System/Libraries
License:        LGPLv2+
URL:               https://wiki.gnome.org/Projects/GtkSourceView
Source0:        https://download.gnome.org/sources/gtksourceview/%{api_ver}.4/gtksourceview-%{version}.tar.xz
Patch0:          0001-Adwaita-dark.xml-add-styling-for-common-markdown-fea.patch

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gio-2.0) >= %{glib_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib_version}
BuildRequires:  pkgconfig(gobject-2.0) >= %{glib_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= %{gtk_version}
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  vala-tools

Requires: glib2.0-common >= %{glib_version}
Requires: gtk4.0 >= %{gtk_version}
Requires: hicolor-icon-theme

%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard GTK+
widget for multiline text editing. GtkSourceView adds support for syntax
highlighting, undo/redo, file loading and saving, search and replace, a
completion system, printing, displaying line numbers, and other features
typical of a source code editor.

This package contains version %{api_ver} of GtkSourceView.

%package -n %{libname}
Summary:	Source code viewing library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package        -n %devname
Summary:        Development files for %{name}
Group:		       Development/Libraries
Requires:         %{libname} = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn gtksourceview-%{version}
%apply_patches

%build
%meson -Dgtk_doc=false -Dsysprof=false -Dinstall_tests=false
%meson_build

%install
%meson_install

%find_lang gtksourceview-%{api_ver}

%files -f gtksourceview-%{api_ver}.lang
%{_datadir}/gtksourceview-%{api_ver}/
%{_datadir}/icons/hicolor/scalable/actions/*

%files -n %{libname}
%dir %{_libdir}/girepository-1.0
%{_libdir}/libgtksourceview-%{api_ver}.so.%{major}*
%{_libdir}/girepository-1.0/GtkSource-%{api_ver}.typelib

%files -n %devname
%{_includedir}/gtksourceview-%{api_ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgtksourceview-%{api_ver}.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GtkSource-%{api_ver}.gir
%{_datadir}/vala


%changelog
* Fri Sep 08 2022 tex - 5.4.1-1pclos2022
- create pkg
